<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="UTF-8">
  <meta http-equiv="X-UA-Compatible" content="IE=edge">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>HW 3 Adv JS task 1</title>
</head>
<body>
   
    <script>
      "use strict"; 

      // Задание 1
      // Две компании решили объединиться, и для этого им нужно объединить базу данных своих клиентов. 
      // У вас есть 2 массива строк, в каждом из них - фамилии клиентов. Создайте на их основе один массив, который будет представлять собой объединение двух массив без повторяющихся фамилий клиентов.

      const clients1 = ["Гилберт", "Сальваторе", "Пирс", "Соммерс", "Форбс", "Донован", "Беннет"];
      const clients2 = ["Пирс", "Зальцман", "Сальваторе", "Майклсон"];

      const uniqueClients = new Set([...clients1, ...clients2]);
      const uniqueClientsArray = [...uniqueClients];

      console.log(uniqueClientsArray);

    </script>
  
</body>
</html>